## qubes-mgmt-salt-base-topd 4.0.1

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.0.1-1+deb8u1) jessie; urgency=medium

  * Build for jessie

 -- Builder <user@localhost>  Fri, 08 Mar 2019 13:25:45 +0100

qubes-mgmt-salt-base-topd (4.0.1-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * travis: switch to r4.0

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * spec.in: add changelog placeholder

  [ Frédéric Pierret (fepitre) ]
  * urlparse: update use of urlparse from upstream
  * Use overrides only with salt version older than 2018.3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 08 Mar 2019 13:25:45 +0100

qubes-mgmt-salt-base-topd (4.0.0-1) unstable; urgency=medium

  * travis: drop debootstrap workaround
  * Adjust for salt 2016.11.3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Jul 2017 14:34:00 +0200

qubes-mgmt-salt-base-topd (3.2.1-1) wheezy; urgency=medium

  * pillar: Do not load unneeded vmtype.jinja
  * travis: initial version
  * rpm: use 'salt-call --local' instead of qubesctl
  * Don't silently hide errors on failed render

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Jun 2016 06:02:37 +0200

qubes-mgmt-salt-base-topd (3.2.0-1) wheezy; urgency=medium

  * Load topd module only in dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 May 2016 02:53:21 +0200

qubes-mgmt-salt-base-topd (3.1.1-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * Makefile:  Added a few formatting line feeds
  * FORMULA: Use Makefile VARS for formula_dir, etc and re-ordered
    fields
  * modules: topd - Reformat
  * modules: topd - pylint
  * utils: adapt - Reformat
  * utils: fileinfo - Reformat
  * utils: matcher - Reformat
  * utils: pathinfo - Reformat
  * utils: pathutils - Reformat
  * utils: toputils - Reformat
  * debian: Fix incorect postinst filename
  * utils: adapt - pylint
  * utils: fileinfo - pylint
  * utils: matcher - pylint
  * utils: pathinfo - pylint
  * utils: pathutils - cleanup code
  * utils: pathutils - pylint
  * utils: toputils - cleanup code
  * utils: toputils - pylint
  * utils: pathutils + toputils - return proper saltenv when calling
    saltenv() method
  * modules: Allow topd directory to be able to be passed to allow
    multiple locations
  * modules: Make sure opts contains grains when loading tops
  * utils: adapt - Add back missing keyword arg in function signature
    call
  * Remove adapt module as it's not being used

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Dec 2015 01:07:27 +0100

qubes-mgmt-salt-base-topd (3.1.0-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Nov 2015 15:31:46 +0100

qubes-mgmt-salt-base-topd (3.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Jason Mehring <nrgaway@gmail.com>  Fri, 21 Aug 2015 00:00:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DESTDIR=$(shell pwd)/debian/qubes-mgmt-salt-base-topd

%:
	dh $@

override_dh_auto_build:
	dh_clean --keep

override_dh_auto_install:
	make install DESTDIR=$(DESTDIR) BINDIR=/usr/bin SYSCONFDIR=/etc

## qubes-mgmt-salt-base-topd 4.3.2

=== Makefile ===
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2015 Jason Mehring <nrgaway@gmail.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

# This file is generated from FORMULA* by yaml-dumper in mgmt-salt builder plugin
include Makefile.vars

# This file is copied in from mgmt-salt
include Makefile.install

.PHONY: install
install:: 
	# Install State and Pillar _tops directories
	@install -d -m 0755 $(DESTDIR)$(MGMT_SALT_STATE_DIR)/_tops
	@install -d -m 0755 $(DESTDIR)$(MGMT_SALT_PILLAR_DIR)/_tops

## qubes-mgmt-salt-base-topd 4.0.2

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.0.2-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 13 May 2021 04:41:30 +0200

qubes-mgmt-salt-base-topd (4.0.2-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * Add .gitlab-ci.yml
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 13 May 2021 04:41:30 +0200

=== debian/control ===
Source: qubes-mgmt-salt-base-topd
Section: admin
Priority: extra
Maintainer: Jason Mehring <nrgaway@gmail.com>
Build-Depends:
    debhelper (>= 9~),
    quilt
Standards-Version: 3.9.5
Homepage: http://www.qubes-os.org

Package: qubes-mgmt-salt-base-topd
Section: admin
Architecture: all
Depends:
    salt-common,
    qubes-mgmt-salt-config,
    qubes-mgmt-salt-base-overrides
Description: Salt top module plugin that allows top drop-ins

## qubes-mgmt-salt-base-topd 4.1.0

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.1.0-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 02 Apr 2019 02:49:15 +0200

qubes-mgmt-salt-base-topd (4.1.0-1) unstable; urgency=medium

  * Add explicit pillar= argument to get_top()

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 02 Apr 2019 02:49:15 +0200

## qubes-mgmt-salt-base-topd 4.1.1

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.1.1-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 06 Jan 2020 00:36:20 +0100

qubes-mgmt-salt-base-topd (4.1.1-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Marek Marczykowski-Górecki ]
  * Make it compatible with Python3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 06 Jan 2020 00:36:20 +0100

## qubes-mgmt-salt-base-topd 4.1.2

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.1.2-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 13 May 2021 04:42:27 +0200

qubes-mgmt-salt-base-topd (4.1.2-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update travis
  * Add .gitlab-ci.yml
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 13 May 2021 04:42:27 +0200

## qubes-mgmt-salt-base-topd 4.1.3

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.1.3-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 28 Oct 2021 02:57:49 +0200

qubes-mgmt-salt-base-topd (4.1.3-1) unstable; urgency=medium

  * debian: drop obsolete qubes-mgmt-salt-base-overrides dependency
  * gitlab-ci: test building for VM too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 28 Oct 2021 02:57:49 +0200

## qubes-mgmt-salt-base-topd 4.1.4

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.1.4-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 05 Dec 2022 02:10:14 +0100

qubes-mgmt-salt-base-topd (4.1.4-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Drop Travis CI
  * Add Qubes Builder v2 integration

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 05 Dec 2022 02:10:14 +0100

## qubes-mgmt-salt-base-topd 4.2.0

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.2.0-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 31 Jan 2023 18:35:48 +0100

qubes-mgmt-salt-base-topd (4.2.0-1) unstable; urgency=medium

  * Update for Python 3.11

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 31 Jan 2023 18:35:48 +0100

## qubes-mgmt-salt-base-topd 4.2.1

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.2.1-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 23 Jun 2023 16:25:22 +0200

qubes-mgmt-salt-base-topd (4.2.1-1) unstable; urgency=medium

  * Do not use six, salt it py3 native already
  * Exclude building on bookworm

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 23 Jun 2023 16:25:22 +0200

## qubes-mgmt-salt-base-topd 4.2.2

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.2.2-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 04 Oct 2025 05:14:26 +0200

qubes-mgmt-salt-base-topd (4.2.2-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Revert "Exclude building on bookworm"

  [ Zaz Brown ]
  * fix: only recognize `_tops/`, not `_tops<SOMETHING>/`
  *  fix: recognize paths even if they contain `_tops/`

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Oct 2025 05:14:26 +0200

## qubes-mgmt-salt-base-topd 4.3.0

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.3.0-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 19 Aug 2024 02:16:40 +0200

qubes-mgmt-salt-base-topd (4.3.0-1) unstable; urgency=medium

  * Fix escape sequence in docstring
  * ci: switch to R4.3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 19 Aug 2024 02:16:40 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,5 @@
 Architecture: all
 Depends:
     salt-common,
-    qubes-mgmt-salt-config,
-    qubes-mgmt-salt-base-overrides
+    qubes-mgmt-salt-config
 Description: Salt top module plugin that allows top drop-ins

## qubes-mgmt-salt-base-topd 4.3.1

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.3.1-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Thu, 26 Jun 2025 19:19:22 +0200

qubes-mgmt-salt-base-topd (4.3.1-1) unstable; urgency=medium

  [ Zaz Brown ]
  * fix: only recognize `_tops/`, not `_tops<SOMETHING>/`
  *  fix: recognize paths even if they contain `_tops/`

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 26 Jun 2025 19:19:22 +0200

## qubes-mgmt-salt-base-topd 4.3.2

=== debian/changelog ===
qubes-mgmt-salt-base-topd (4.3.2-1+deb13u1+devel1) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 14:14:13 +0000

qubes-mgmt-salt-base-topd (4.3.2-1) unstable; urgency=medium

  * Revert "Exclude building on bookworm"

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Oct 2025 05:11:27 +0200
